For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Custom fonts
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
      • GETGet Ecommerce Settings
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
EcommerceSettings

Get Ecommerce Settings

GET
https://api.webflow.com/v2/sites/:site_id/ecommerce/settings
GET
/v2/sites/:site_id/ecommerce/settings
$curl https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/ecommerce/settings \
> -H "Authorization: Bearer <token>"
1{
2 "siteId": "5eb0b5583bf24e2d3a488969",
3 "createdOn": "2018-10-04T15:21:02.042Z",
4 "defaultCurrency": "USD"
5}

Retrieve ecommerce settings for a site.

Required scope | ecommerce:read

Was this page helpful?
Previous

List Webhooks

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful
siteIdstringRead-onlyformat: "objectid"
The identifier of the Site
createdOnstringRead-onlyformat: "date-time"
Date that the Site was created on
defaultCurrencystring

The three-letter ISO currency code for the Site

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error